﻿
namespace LocalisationResourceManager
{
    /// <summary>
	/// The class for a resource row.
	/// </summary>
    public class ResourceRow
    {
        public ResourceRow(string invariantStringValue,
            string resourceFilePath,
            string resourceName,
            string localizedValue,
            bool isANewResource)
        {
            InvariantStringValue = invariantStringValue;
            ResourceFilePath = resourceFilePath;
            ResourceName = resourceName;
            LocalizedValue = localizedValue;
            IsANewResource = isANewResource;
        }

        public string InvariantStringValue;
        public string ResourceFilePath;
        public string ResourceName;
        public string LocalizedValue;
        public bool IsANewResource;
    }
}
